package com.miaxis.school.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 驾校信息对象 school_info
 *
 * @author chenjian
 * @date 2022-01-20
 */
@Data
@TableName("school_info")
@ApiModel(value = "SchoolInfo", description = "驾校信息对象 school_info")
public class SchoolInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 地市编号 */
    @Excel(name = "地市编号")
    @TableField("city_code")
    @ApiModelProperty(value = "地市编号")
    private String cityCode;

    /** 地市名称 */
    @Excel(name = "地市名称")
    @TableField("city_name")
    @ApiModelProperty(value = "地市名称")
    private String cityName;

    /** 地区编号 */
    @Excel(name = "地区编号")
    @TableField("area_code")
    @ApiModelProperty(value = "地区编号")
    private String areaCode;

    /** 地区名称 */
    @Excel(name = "地区名称")
    @TableField("area_name")
    @ApiModelProperty(value = "地区名称")
    private String areaName;

    /** 驾校编号 */
    @Excel(name = "驾校编号")
    @TableField("school_no")
    @ApiModelProperty(value = "驾校编号")
    private String schoolNo;

    /** 驾校名称 */
    @Excel(name = "驾校名称")
    @TableField("school_name")
    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

    /** 驾校简称 */
    @Excel(name = "驾校简称")
    @TableField("short_name")
    @ApiModelProperty(value = "驾校简称")
    private String shortName;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setCityCode(String cityCode){
        this.cityCode = cityCode;
    }

    public String getCityCode(){
        return cityCode;
    }
    public void setCityName(String cityName){
        this.cityName = cityName;
    }

    public String getCityName(){
        return cityName;
    }
    public void setAreaCode(String areaCode){
        this.areaCode = areaCode;
    }

    public String getAreaCode(){
        return areaCode;
    }
    public void setAreaName(String areaName){
        this.areaName = areaName;
    }

    public String getAreaName(){
        return areaName;
    }
    public void setSchoolNo(String schoolNo){
        this.schoolNo = schoolNo;
    }

    public String getSchoolNo(){
        return schoolNo;
    }
    public void setSchoolName(String schoolName){
        this.schoolName = schoolName;
    }

    public String getSchoolName(){
        return schoolName;
    }
    public void setShortName(String shortName){
        this.shortName = shortName;
    }

    public String getShortName(){
        return shortName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cityCode", getCityCode())
            .append("cityName", getCityName())
            .append("areaCode", getAreaCode())
            .append("areaName", getAreaName())
            .append("schoolNo", getSchoolNo())
            .append("schoolName", getSchoolName())
            .append("shortName", getShortName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
